Loading...
Searching...
No Matches
init2d.c File Reference

Initialization of interpolation library data structures. More...

`#include <stdbool.h>`
`#include <stdio.h>`
`#include <math.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/interpf.h>`
Include dependency graph for init2d.c:

Go to the source code of this file.

## Functions

void

IL_init_params_2d (struct interp_params *params, FILE *inp, int elatt, int smatt, double zm, int k1, int k2, char *msk, int rows, int cols, DCELL *ar1, DCELL *ar2, DCELL *ar3, DCELL *ar4, DCELL *ar5, DCELL *ar6, double tension, int k3, int sc1, int sc2, int sc3, double sm, char *f1, char *f2, char *f3, char *f4, char *f5, char *f6, double dm, double x_or, double y_or, int der, double tet, double scl, FILE *t1, FILE *t2, FILE *t3, FILE *t4, FILE *t5, FILE *t6, bool create_devi, struct TimeStamp *ts, int c, const char *wheresql)

void | IL_init_func_2d (struct interp_params *params, grid_calc_fn *grid_f, matrix_create_fn *matr_f, check_points_fn *point_f, secpar_fn *secp_f, interp_fn *interp_f, interpder_fn *interpder_f, wr_temp_fn *temp_f)

## Detailed Description

Initialization of interpolation library data structures.

Author
  H. Mitasova, I. Kosinovsky, D. Gerdes Fall 1993 (original authors)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995
  modified by Brown in June 1999 - added elatt & smatt

Copyright
  (C) 1993-1999 by Helena Mitasova and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file init2d.c.

## Function Documentation

## IL_init_func_2d()

void IL_init_func_2d | ( | struct interp_params * | params,
|  | grid_calc_fn * | grid_f,
|  | matrix_create_fn * | matr_f,
|  | check_points_fn * | point_f,
|  | secpar_fn * | secp_f,
|  | interp_fn * | interp_f,
|  | interpder_fn * | interpder_f,
|  | wr_temp_fn * | temp_f )

Initializes functions used by the library

Parameters

  grid_f | calculates grid for given segment
  matr_f | creates matrix for a given segment
  point_f | checks interpolation function at points
  secp_f | calculates aspect, slope, curvature
  interp_f | radial basis function
  interpder_f | derivatives of radial basis function
  temp_f | writes temp files

Definition at line 107 of file init2d.c.

References interp_params::check_points, interp_params::grid_calc, interp_params::interp, interp_params::interpder, interp_params::matrix_create, interp_params::secpar, and interp_params::wr_temp.

## IL_init_params_2d()

void IL_init_params_2d | ( | struct interp_params * | params,
|  | FILE * | inp,
|  | int | elatt,
|  | int | smatt,
|  | double | zm,
|  | int | k1,
|  | int | k2,
|  | char * | msk,
|  | int | rows,
|  | int | cols,
|  | DCELL * | ar1,
|  | DCELL * | ar2,
|  | DCELL * | ar3,
|  | DCELL * | ar4,
|  | DCELL * | ar5,
|  | DCELL * | ar6,
|  | double | tension,
|  | int | k3,
|  | int | sc1,
|  | int | sc2,
|  | int | sc3,
|  | double | sm,
|  | char * | f1,
|  | char * | f2,
|  | char * | f3,
|  | char * | f4,
|  | char * | f5,
|  | char * | f6,
|  | double | dm,
|  | double | x_or,
|  | double | y_or,
|  | int | der,
|  | double | tet,
|  | double | scl,
|  | FILE * | t1,
|  | FILE * | t2,
|  | FILE * | t3,
|  | FILE * | t4,
|  | FILE * | t5,
|  | FILE * | t6,
|  | bool | create_devi,
|  | struct TimeStamp * | ts,
|  | int | c,
|  | const char * | wheresql )

Initializes parameters used by the library

Parameters

  inp | input stream
  elatt | which fp att in sites file? 1 = first
  smatt | which fp att in sites file to use for smoothing? (if zero use sm) 1 = first
  zm | multiplier for z-values
  k1 | min number of points per segment for interpolation
  k2 | max number of points per segment
  msk | name of mask
  cols | number of rows and columns
  ar6 | arrays for interpolated values (ar1-ar6)
  tension | tension
  k3 | max number of points for interpolation
  sc3 | multipliers for interpolation values
  sm | smoothing
  f6 | output files (f1-f6)
  dm | min distance between points
  x_or | x of origin
  y_or | y of origin
  der | 1 if compute partial derivatives
  tet | anisotropy angle (0 is East, counter-clockwise)
  scl | anisotropy scaling factor
  t6 | temp files for writing interp. values (t1-t6)
  create_devi | create deviations file?
  c | cross validation
  wheresql | SQL WHERE statement

Definition at line 30 of file init2d.c.

References interp_params::adx, interp_params::adxx, interp_params::adxy, interp_params::ady, interp_params::adyy, interp_params::aspect, interp_params::az, interp_params::create_devi, interp_params::cv, interp_params::deriv, interp_params::dmin, interp_params::elatt, interp_params::elev, interp_params::fdinp, interp_params::fi, interp_params::kmax, interp_params::KMAX2, interp_params::kmin, interp_params::maskmap, interp_params::mcurv, interp_params::nsizc, interp_params::nsizr, interp_params::pcurv, interp_params::rsm, interp_params::scalex, interp_params::scik1, interp_params::scik2, interp_params::scik3, interp_params::slope, interp_params::smatt, interp_params::tcurv, interp_params::theta, interp_params::Tmp_fd_dx, interp_params::Tmp_fd_dy, interp_params::Tmp_fd_xx, interp_params::Tmp_fd_xy, interp_params::Tmp_fd_yy, interp_params::Tmp_fd_z, interp_params::ts, interp_params::wheresql, interp_params::x_orig, interp_params::y_orig, and interp_params::zmult.